forrest-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sjur Nørstebø Moshagen <sju...@mac.com>
Subject Plugin downloading problems
Date Wed, 24 Nov 2004 09:19:36 GMT
Hi,

When trying to run forrest (forrest run), I get a plugin downloading  
error with a fresh seed (updated svn version as of today, revision  
106393):

BUILD FAILED
/Volumes/Data/Users/sjur/svn-forrest/forrest/main/targets/plugins.xml: 
184: The following error occurred while executing this line:
/Volumes/Data/Users/sjur/svn-forrest/forrest/main/targets/plugins.xml: 
187: The following error occurred while executing this line:
/Volumes/Data/Users/sjur/svn-forrest/forrest/main/targets/plugins.xml: 
150: The following error occurred while executing this line:
/Volumes/Data/Users/sjur/svn-forrest/forrest/main/targets/plugins.xml: 
163: The following error occurred while executing this line:
/Volumes/Data/Users/sjur/test/build/tmp/pluginlist2fetchbuild.xml:16:  
Unable to download the
               "org.apache.forrest.plugin.pdf-output" plugin from
               http://www.apache.org/plugins/.
               In case the reason is the network connection, you can try
               installing the package manually by placing the file in the
               plugins directory.

If I comment out the line

#project.required.plugins=org.apache.forrest.plugin.pdf-output

in forrest.properties, I instead get:

BUILD FAILED
/Volumes/Data/Users/sjur/svn-forrest/forrest/main/targets/plugins.xml: 
184: The following error occurred while executing this line:
/Volumes/Data/Users/sjur/svn-forrest/forrest/main/targets/plugins.xml: 
187: The following error occurred while executing this line:
/Volumes/Data/Users/sjur/svn-forrest/forrest/main/targets/plugins.xml: 
150: The following error occurred while executing this line:
/Volumes/Data/Users/sjur/svn-forrest/forrest/main/targets/plugins.xml: 
163: The following error occurred while executing this line:
/Volumes/Data/Users/sjur/test/build/tmp/pluginlist2fetchbuild.xml:16:  
Unable to download the
               "simplified-docbook" plugin from
               http://www.apache.org/plugins/.
               In case the reason is the network connection, you can try
               installing the package manually by placing the file in the
               plugins directory.

while if I just say

project.required.plugins=

everything works ok.

When checking the URL (http://www.apache.org/plugins/), the URL is not  
found, and neither is any of the zip files mentioned above:

404 Not Found

The requested URL /plugins/org.apache.forrest.plugin.pdf-output.zip was  
not found on this server.
Apache/2.0.52 (Unix) Server at www.apache.org Port 80

SUGGESTIONS:
- make sure that the defaults are working before requiring them;)
- not having a project.required.plugins should be equal to an empty  
list (why is simplified-docbook suddenly required when the plugins  
property is commented out?)

Regards,
Sjur


Mime
View raw message